Page MenuHomePhabricator

Create questions from student edits
Closed, ResolvedPublic

Description

Write a script to generate questions containing diffs by usernames (i.e. student
editor username lists)

Event Timeline

prnk28 created this task.Aug 2 2016, 5:39 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 2 2016, 5:39 PM

@prnk28 please figure out which of these is best, but try to get just the
~50 most recent, and then the two most recent edits they made in diff
format (in the iframe) for the 100 questions from Wikipedia Education
Program student editors:

https://en.wikipedia.org/wiki/Special:Students

https://www.mediawiki.org/wiki/Extension:Education_Program/ListStudents_API

https://dashboard.wikiedu.org/explore

https://docs.google.com/spreadsheets/d/1UoRINpsy2b9THy5-Xaej8nKO8AeQDhv5P3n9UtVzcek/edit#gid=1235787064

These also need to be filtered by only articles in the top 20% of pageviews to start with.

Jsalsman triaged this task as Medium priority.Aug 5 2016, 5:49 PM

I have used the Special:Students page for obtaining student contributor usernames who have made recent edits. I then obtain their most recent edits information such as pageid, revid, size of edit, etc using the Usercontrib API. The final rankings are based on a high value of pageviews and edit size. So bigger edits on frequently visited articles are higher on the list for reviewing.
Code for this script is here.

prnk28 closed this task as Resolved.Aug 14 2016, 7:59 PM